1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

A Trick To Make WP Slightly Safer

Discussion in 'Blogging' started by The Scarlet Pimp, Aug 21, 2009.

  1. The Scarlet Pimp

    The Scarlet Pimp Jr. VIP Jr. VIP Premium Member

    Joined:
    Apr 2, 2008
    Messages:
    788
    Likes Received:
    3,121
    Occupation:
    Chair moistener.
    Location:
    Cyberspace
    i just read this at the vault. dunno how much it will help but it can't hurt! :rain:

    Hide the version number of your Wordpress so that it will be harder for a would be hacker to find the security holes in your 'specific' version of Wordpress.

    Remove the Wordpress 'version string' from your theme's header.php file:

    1. Go to the Wordpress dashboard and click on: 'Appearance' -> 'Editor' -> header.php

    2. Find and remove this line, bloginfo('version') and then save the file.

    NOTE: you can do the same thing just by editing your theme's 'header.php' file
    directly. :p
     
  2. funktrust

    funktrust Regular Member

    Joined:
    Apr 3, 2009
    Messages:
    208
    Likes Received:
    54
    Occupation:
    Cisco Engineer
    Location:
    Sydney
    Seems like a good idea... But I don't understand how it wont stop the hacker in hacking in if he wants to...
     
  3. madcash

    madcash Newbie

    Joined:
    Jul 27, 2009
    Messages:
    20
    Likes Received:
    7
    It stops automated programs from collecting your site and mass hacking
     
  4. OnFire25

    OnFire25 Registered Member

    Joined:
    Mar 24, 2008
    Messages:
    60
    Likes Received:
    212
    Why not use a plugin instead of all the hacks. Here is one that I found

    It replaces the WP-version with a random string < WP 2.X and eliminate WP-version > WP 2.X

    Code:
    
    http://bueltge.de/wordpress-version-verschleiern-plugin/602/
    
    
    it ain't going to stop a hacker who targets your blog but it might confuse those bots that are searching for specific strings like "wordpress2.x.x" to enter through known vulnerabilities.

    As always prevention is better than the cure



    C Ya
     
  5. The Scarlet Pimp

    The Scarlet Pimp Jr. VIP Jr. VIP Premium Member

    Joined:
    Apr 2, 2008
    Messages:
    788
    Likes Received:
    3,121
    Occupation:
    Chair moistener.
    Location:
    Cyberspace
    ha! wp has enuff probs, anything that helps is welcome. :p